## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:		x86-simd-sort
Version:	7.0
Release:	%autorelease
Summary:	C++ template library for high performance SIMD based sorting algorithms

License:	BSD-3-Clause
URL:		https://github.com/intel/x86-simd-sort
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# C++ header file library for x86 processors.
ExclusiveArch:	x86_64

BuildRequires:	gcc-c++
BuildRequires:	gtest-devel
BuildRequires:	meson

%description
C++ template library for high performance SIMD based sorting routines for 
16-bit, 32-bit and 64-bit data types. The sorting routines are accelerated
using AVX-512/AVX2 when available. The library auto picks the best version
depending on the processor it is run on.
	
%package devel
Summary: Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
applications that use %{name}.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test -v

%files
%license LICENSE.md
%doc README.md
%{_libdir}/libx86simdsortcpp.so.1

%files devel
%{_includedir}/x86simdsort.h
%{_libdir}/libx86simdsortcpp.so
%{_libdir}/pkgconfig/x86simdsortcpp.pc

%changelog
## START: Generated by rpmautospec
* Tue May 27 2025 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 7.0-1
- Update to 7.0

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Nov 01 2023 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 4.0-1
- Update to 4.0

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Apr 26 2023 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 1.0-2
- dependency fix

* Wed Apr 26 2023 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 1.0-1
- 1st release
## END: Generated by rpmautospec
